%define pythonver 2.5

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	a library suite for non-linear editing, visual effects and rich media applications	
Name:      	openlibraries
Version:   	0.4.0svn
Release:   	4
License: 	GNU/GPL
URL:		http://www.openlibraries.org/
Group:     	System/Libraries
Source0: 	%{name}-svn-1480.tar.bz2
Patch0:		openlibraries-fix-ffmpeg-build.patch
Patch1:		openlibraries-new-ffmpeg.patch	
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  faac-devel
BuildRequires:  lame-devel
BuildRequires:  libogg-devel
BuildRequires:  libpng-devel
BuildRequires:  sqlite-devel
BuildRequires:  libdc1394-devel
BuildRequires:  libraw1394-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtheora-1.0-devel
BuildRequires:  libtiff-devel
BuildRequires:  libvorbis-devel
BuildRequires:  x264-devel
BuildRequires:  xvidcore-devel
BuildRequires:  zlib-devel
BuildRequires:  python
BuildRequires:	OpenEXR-devel
BuildRequires:	ilmbase-devel
BuildRequires:	Cg
BuildRequires:	mlt-devel

#Automatically resolved build dependencies
BuildRequires: SDL-devel
BuildRequires: boost-devel
BuildRequires: ffmpeg-devel
BuildRequires: freeglut-devel
BuildRequires: glew-devel
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXmu-devel
BuildRequires: libgcc
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libxml2-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: openal-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
The openLibraries are a powerful cross-platform set of libraries that provide developers with the key building blocks they need to easy build, test and deploy rich media applications

%package devel
Summary:        Header files and development documentation for %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description devel
Header files for %{name}


%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
mkdir build-i686
pushd build-i686
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix} # -DWITH_PYTHON_EXTENSIONS=TRUE
make %{?_smp_mflags}
popd

%install
pushd build-i686
make install DESTDIR=$RPM_BUILD_ROOT
popd
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir/%{name}-0.5.0/

%files devel
%defattr(-,root,root)
%_includedir/%{name}-0.5.0/
%_pkgconfig/openlibraries.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Sep 24 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.4.0svn-4
- svn rev. 1480
* Sun Mar 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.4.0svn-3
- rebuilt against libdc1394 2.0.1
* Sun Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.4.0svn-2
- rebuilt against glew 1.5.0
* Thu Jan 03 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.4.0svn-1
- update to SVN Revision 1351
* Fri Dec 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.4.0-3
- rebuilt against OpenEXR 1.6.1 / ilmbase 1.0.1
* Sun Nov 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.4.0-2
- rebuilt against x264 20071104
* Thu Aug 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.4.0-1
- Initial Release
